Skip to main content

Get all data diffs

GEThttps://api.propexo.com/v1/admin/data-diffs/

Get all data diffs. Data diffs are stored for 30 days.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor associated with the data diff

integration_id string

The integration id associated with the data diff

before string | null

Only show data diffs before this timestamp

after string | null

Only show data diffs after this timestamp

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The unique identifier for the data diff

    modelstringrequired

    The name of the model the data diff is for

    model_record_idstringrequired

    The ID of the record the data diff is for. For example, if model is 'units', this would represent the ID of the unit

    event_typestringrequired

    The data diff event type

    Show 2 enum values
    NEWUPDATE
    data_diff objectrequired
    object
    created_atstringrequired

    The date the data diff was created

    job_idstring | nullnullablerequired

    The ID of the job that affected this data diff

    integration_idstringrequired

    The integration id

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/data-diffs/
curl https://api.propexo.com/v1/admin/data-diffs/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"model": "string",
"model_record_id": "string",
"event_type": "NEW",
"data_diff": {},
"created_at": "string",
"job_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO"
}
]
}